## class Fl_Help_Dialog

### Class Hierarchy

    Fl_Help_Dialog

### Include Files

    #include "Fl_Help_Dialog.h"

### Additional Libraries

    -lfltk_images  /  fltkimages.lib

### Description

The `Fl_Help_Dialog` widget displays a standard help dialog window using the `Fl_Help_View` widget.

### Methods

- Fl_Help_Dialog
- ~Fl_Help_Dialog
- h
- hide
- load
- position
- resize
- show
- textsize
- topline
- value
- visible
- w
- x
- y

#### Fl_Help_Dialog()

The constructor creates the dialog pictured above.

#### ~Fl_Help_Dialog()

The destructor destroys the widget and frees all memory that has been allocated for the current file.

#### void hide()

Hides the `Fl_Help_Dialog` window.

#### void load(const char *f)

Loads the specified HTML file into the `Fl_Help_View` widget. The filename can also contain a target name ("filename.html#target").

#### void position(int x, int y)

Set the screen position of the dialog.

#### void resize(int xx, int yy, int ww, int hh)

Change the position and size of the dialog.

#### void show()

Shows the `Fl_Help_Dialog` window.

#### void textsize(uchar s)
uchar textsize()

Sets or gets the default text size for the help view.

#### void topline(const char *n)
void topline(int n)

Sets the top line in the `Fl_Help_View` widget to the named or numbered line.

#### void value(const char *v)
const char *value() const

The first form sets the current buffer to the string provided and reformats the text. It also clears the history of the "back" and "forward" buttons. The second form returns the current buffer contents.

#### int visible()

Returns 1 if the `Fl_Help_Dialog` window is visible.

#### int x()
int y()
int w()
int h()

Returns the position and size of the help dialog.